#ifndef VIDEOSPLITTHREAD_H
#define VIDEOSPLITTHREAD_H

#include <QThread>

class VideoSplitThread : public QThread {
    Q_OBJECT
public:
    VideoSplitThread(int sw, int sh, int dw, int dh, int cnt, QPointF pos, QByteArray file);
    int sw, sh, dw, dh, cnt;
    QPointF pos;
    QByteArray file;
protected:
    void run();

signals:
    void emErr(QString);
    void emProgress(int);
public slots:
    void stop() {
        stoped = true;
    }
private:
    int lastPro{0};
    std::atomic_bool stoped{false};
};

#endif // VIDEOSPLITTHREAD_H
